package widgets

import (
	"github.com/awesome-gocui/gocui"
)

type WidgetInterface interface {
	GetWidth() int
	GetHeight() int
	GetName() string
	IsRotatable() bool
	AddHandler(key interface{}, handler func(g *gocui.Gui, v *gocui.View) error)
	Activate()
	Deactivate()
	GetBuffer() string
	Layout(g *gocui.Gui) error
	SetParent(p *Window)
	SetAlignment(alignment int)
	SetIsVisibleFunc(ivf func() bool)
	Visible() bool
	SetOnChangeFunc(ocf func())
	OnChange()
	SetBuffer(s string)
	SetPadding(padding int)
	GetPadding() int
	GetElementType() string
	Flush()
}
